Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageNormalize Class Reference

`#include <vtkImageNormalize.h>`

Inheritance diagram for vtkImageNormalize:

[legend]
Collaboration diagram for vtkImageNormalize:

[legend]
List of all members.

## Detailed Description

Normalizes that scalar components for each point.

Date:
  2002/01/22 15:33:11

Revision:
  1.15

For each point, vtkImageNormalize normalizes the vector defined by the scalar components. If the magnitude of this vector is zero, the output vector is zero also.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (70%)
  - Martin, Ken (27%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageNormalize.h)`
  - .`cxx` (`/Imaging/vtkImageNormalize.cxx)`

Tests:
  vtkImageNormalize (Tests)

Definition at line 47 of file vtkImageNormalize.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageNormalize * | New ()
int | IsTypeOf (const char *type)
vtkImageNormalize * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageNormalize ()
| ~vtkImageNormalize ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageNormalize::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 51 of file vtkImageNormalize.h.

## Constructor & Destructor Documentation

vtkImageNormalize::vtkImageNormalize | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkImageNormalize.h.

vtkImageNormalize::~vtkImageNormalize | ( |  | ) | `[inline, protected]`

| Definition at line 55 of file vtkImageNormalize.h.

## Member Function Documentation

vtkImageNormalize* vtkImageNormalize::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageNormalize::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageNormalize::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageNormalize::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageNormalize* vtkImageNormalize::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageNormalize::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageNormalize::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 58 of file vtkImageNormalize.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageNormalize::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageNormalize.h